Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface QueueConnectionFactory

All Superinterfaces:
  ConnectionFactory

All Known Subinterfaces:
  XAQueueConnectionFactory

All Known Implementing Classes:
  QueueConnectionFactory, XAQueueConnectionFactory

public interface QueueConnectionFactory
extends ConnectionFactory

A client uses a `QueueConnectionFactory` object to create `QueueConnection` objects with a point-to-point JMS provider.

`QueueConnectionFactory` can be used to create a `QueueConnection`, from which specialized queue-related objects can be created. A more general, and recommended, approach is to use the `ConnectionFactory` object.

The `QueueConnectionFactory` object can be used to support existing code that already uses it.

See Also:
  `ConnectionFactory`

Method Summary
`QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
`QueueConnection` | `createQueueConnection(String userName, String password)` Creates a queue connection with the specified user identity.

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Method Detail

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called. .

  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createQueueConnection

    public QueueConnection createQueueConnection(String userName,
                                                 String password)
                                          throws JMSException

  Creates a queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.